AddErasureCodingPolicyResponse (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: AddErasureCodingPolicyResponse

Package org.apache.hadoop.hdfs.protocol

# Class AddErasureCodingPolicyResponse

java.lang.Object
org.apache.hadoop.hdfs.protocol.AddErasureCodingPolicyResponse

public class AddErasureCodingPolicyResponse extends Object
A response of add an ErasureCoding policy.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddErasureCodingPolicyResponse(ErasureCodingPolicy policy)`
  `AddErasureCodingPolicyResponse(ErasureCodingPolicy policy, String errorMsg)`
  `AddErasureCodingPolicyResponse(ErasureCodingPolicy policy, org.apache.hadoop.HadoopIllegalArgumentException e)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getErrorMsg()`
  `ErasureCodingPolicy`
  `getPolicy()`
  `int`
  `hashCode()`
  `boolean`
  `isSucceed()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddErasureCodingPolicyResponse

    public AddErasureCodingPolicyResponse(ErasureCodingPolicy policy)

  - ### AddErasureCodingPolicyResponse

    public AddErasureCodingPolicyResponse(ErasureCodingPolicy policy, String errorMsg)

  - ### AddErasureCodingPolicyResponse

    public AddErasureCodingPolicyResponse(ErasureCodingPolicy policy, org.apache.hadoop.HadoopIllegalArgumentException e)

- ## Method Details

  - ### isSucceed

    public boolean isSucceed()

  - ### getPolicy

    public ErasureCodingPolicy getPolicy()

  - ### getErrorMsg

    public String getErrorMsg()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`